Bug 719328 - (gwenview) Review Request: gwenview - An image viewer
Review Request: gwenview - An image viewer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
:
Depends On: libkipi
Blocks: kde-4.7
  Show dependency treegraph
 
Reported: 2011-07-06 10:00 EDT by Rex Dieter
Modified: 2011-12-08 13:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-18 16:34:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alekcejk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Pavel Alexeev 2011-07-08 05:36:40 EDT
It is already in kdegraphics:
$ rpm -qf `which gwenview`
kdegraphics-4.6.3-1.fc15.i686

Do you plan separate it?
Comment 2 Rex Dieter 2011-07-08 07:50:03 EDT
Yes, F16 KDE47 feature includes (some) separated/split packaging, including all kdegraphics components.
Comment 3 Rex Dieter 2011-07-15 12:27:21 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegraphics/gwenview.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/kdegraphics/gwenview-4.6.95-1.fc15.src.rpm


%changelog
* Mon Jul 11 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-1
- 4.6.95
- update URL 

* Wed Jul 06 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.90-2
- fix Source0 URL
- Conflicts: kdegraphics < 7:4.6.90-10
Comment 4 Rex Dieter 2011-07-18 13:51:00 EDT
Ugh. :)

Spec URL: http://rdieter.fedorapeople.org/rpms/kdegraphics/gwenview.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/kdegraphics/gwenview-4.6.95-2.fc15.src.rpm


%changelog
* Mon Jul 18 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-2
- License: GPLv2+
- -libs: License: IJG and LGPLv2+ and GPLv2+ and LGPLv2 or LGPLv3 or LGPLv3+ (KDE e.V.)
Comment 5 nucleo 2011-07-18 16:11:42 EDT
/usr/bin/update-desktop-database &> /dev/null || : should be in 
%post and %postun

also needed 
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Comment 6 nucleo 2011-07-18 16:12:43 EDT
sorry, this requires only for older releases
Comment 7 nucleo 2011-07-18 16:21:43 EDT
Package and spec names are fine,
licenses fine (GPLv2+ for main package, for -libs IJG and LGPLv2+ and GPLv2+ and LGPLv2 or LGPLv3)
scriptlets are fine (/sbin/ldconfig in -libs and desktop-database and mimeinfo in main package)
Package builds in mock:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3207961

gwenview.i686: E: script-without-shebang /usr/share/applications/kde4/gwenview.desktop
gwenview.i686: W: no-manual-page-for-binary gwenview
gwenview.i686: W: no-manual-page-for-binary gwenview_importer
gwenview.x86_64: E: script-without-shebang /usr/share/applications/kde4/gwenview.desktop
gwenview.x86_64: W: no-manual-page-for-binary gwenview
gwenview.x86_64: W: no-manual-page-for-binary gwenview_importer
gwenview-libs.i686: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
gwenview-libs.i686: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
gwenview-libs.i686: W: invalid-license KDE e.V.
gwenview-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
gwenview-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
gwenview-libs.x86_64: W: invalid-license KDE e.V.
7 packages and 0 specfiles checked; 2 errors, 10 warnings.

invalid-license fixed in updated gwenview.spec
Since update-desktop-database also fixed 

package APPROVED
Comment 8 Rex Dieter 2011-07-18 16:34:18 EDT
imported.
Comment 9 nucleo 2011-07-18 17:02:50 EDT
f15 branch also needed?
Comment 10 Rex Dieter 2011-07-18 17:13:36 EDT
yeah, probably should just in case,

Package Change Request
======================
Package Name: gwenview
Branches: f15
Comment 11 Gwyn Ciesla 2011-07-18 18:35:22 EDT
Should this not be a New Package Request?
Comment 12 Rex Dieter 2011-07-21 09:13:30 EDT
gwenview module already exists, so, no?
Comment 13 Gwyn Ciesla 2011-07-21 09:29:50 EDT
Yes, but this request is misformatted.

https://fedoraproject.org/wiki/Package_SCM_admin_requests#Package_Change_Requests_for_existing_packages
Comment 14 Rex Dieter 2011-07-21 09:34:28 EDT
sorry, copy and paste fail it seems.  let's try one more time.

Package Change Request
======================
Package Name: gwenview
New Branches: f15
Comment 15 Gwyn Ciesla 2011-07-21 09:37:16 EDT
You also need to fill in owner.
Comment 16 Rex Dieter 2011-07-21 09:44:57 EDT
ok, it's just that last time I tried to update owners via a package change request, I was told that didn't work,
https://bugzilla.redhat.com/show_bug.cgi?id=719323#c15

whatever...

Package Change Request
======================
Package Name: gwenview
New Branches: f15
Owners: than rdieter jreznik kkofler ltinkl rnovacek rrix
Comment 17 Gwyn Ciesla 2011-07-21 09:47:26 EDT
Git done (by process-git-requests).

That's correct.  This is a new branch, so you set the owners in the SCM
request.  If the branch exists, the prospective owners need to request
access in pkgdb and then the primary owner can approve.

Note You need to log in before you can comment on or make changes to this bug.